Subject: bug#15899: 24.3.50; regression: `region' overlay is lower priority than default

From: Stefan Monnier <[email-masked]>
Date: Sat, 16 Nov 2013 17:00:17 -0500

>> The "default priority" at least is able to handle those things
>> sometimes, by making overlays's ordering depending on nesting.
> Not sure what that means, and I wish I did understand what you
> mean by that.  Can you give a tiny example to illustrate?

The default ordering between two overlays that have the same priority is
that if one of the two overlays is nested in the other it should have
higher priority.  The idea is to try and avoid having one overlay
completely hide another.

> Not clear how so.  Can you elaborate?  Are you referring to
> the fact that a user who wants to see some other highlighting
> (besides isearch) "on top" could not do so?

Exactly.

> We are certainly doing that here, now, but this is something
> that would be more appropriate for emacs-devel, IMO.  It would
> have been better to initiate a discussion and proposal there,
> pointing to the bug report and outlining what the behavior
> changes would be.  But you've heard this before...

No, the change's purpose was not to fix that bug.  It was just
a side-effect.  The main purpose of the change was to move the region
highlighting code out of the redisplay to Elisp.

The good news is that if you liked to old behavior you can get it now by
writing some Elisp code, whereas in the past you had no such choice.

        Stefan